# AWS API client for AWS Key Management Service

**Generated Dart library from API specification**

*About the service:*
AWS Key Management Service (AWS KMS) is an encryption and key management web
service. This guide describes the AWS KMS operations that you can call
programmatically. For general information about AWS KMS, see the <a
href="https://docs.aws.amazon.com/kms/latest/developerguide/"> <i>AWS Key
Management Service Developer Guide</i> </a>.
<note>
AWS provides SDKs that consist of libraries and sample code for various
programming languages and platforms (Java, Ruby, .Net, macOS, Android,
etc.). The SDKs provide a convenient way to create programmatic access to
AWS KMS and other AWS services. For example, the SDKs take care of tasks
such as signing requests (see below), managing errors, and retrying requests
automatically. For more information about the AWS SDKs, including how to
download and install them, see <a href="https://aws.amazon.com/tools/">Tools
for Amazon Web Services</a>.
</note>
We recommend that you use the AWS SDKs to make programmatic API calls to AWS
KMS.

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).
